import React from 'react';
export declare const createBaseContext: <State, Dispatch>() => {
    state: {
        context: React.Context<State>;
        subscription: Set<(state: State) => void>;
    };
    dispatch: {
        context: React.Context<Dispatch>;
        subscription: Set<(dispatch: Dispatch) => void>;
    };
};
