export declare type Store<T extends Record<string, unknown>> = {
    getState: () => T;
    setState: (value: T[keyof T], key: keyof T) => void;
    resetState: () => void;
};
export declare const createInitialStore: <T extends Record<string, unknown>>(initialState: T) => Store<T>;
